/* From Uiverse.io by Smit-Prajapati */ 

:root {
    --color: #065662;
    --color-1:#098295;
  }





body {
  background-color: rgb(235, 235, 235);

}
.container {
    max-width: 350px;
    background: #F8F9FD;
    background: linear-gradient(0deg, rgb(255, 255, 255) 0%, rgb(244, 247, 251) 100%);
    border-radius: 40px;
    padding: 25px 35px;
    border: 5px solid rgb(255, 255, 255);
    box-shadow: #c4eef4  0px 30px 30px -20px;
    margin: 8rem auto;
}
  
  .heading {
    text-align: center;
    font-weight: 900;
    font-size: 30px;
    color: rgb(16, 137, 211);
    color: var(--color-1);
  }
  
  .form {
    margin-top: 20px;
  }
  
  .form .input {
    width: 87%;
    background: white;
    border: none;
    padding: 15px 20px;
    border-radius: 20px;
    margin-top: 15px;
    box-shadow: #c4eef4 0px 10px 10px -5px;
    border-inline: 2px solid transparent;
  }
  
  .form .input::-moz-placeholder {
    color: rgb(170, 170, 170);
}

.form .input::placeholder {
    color: rgb(170, 170, 170);
}

  .form .input:focus {
    outline: none;
    border-inline: 2px solid var(--color-1);
  }
  
  .form .forgot-password {
    display: block;
    margin-top: 10px;
    margin-left: 10px;
  }
  
  .form .forgot-password a {
    font-size: 11px;
    color: var(--color-1);
    text-decoration: none;
}

.form .login-button {
    display: block;
    width: 100%;
    font-weight: bold;
    background: linear-gradient(45deg, var(--color) 0%, var(--color-1) 100%);
    color: white;
    padding-block: 15px;
    margin: 20px auto;
    border-radius: 20px;
    box-shadow: rgba(133, 189, 215, 0.8784313725) 0px 20px 10px -15px;
    border: none;
    backface-visibility: hidden;
    transition: all 0.2s ease-in-out;
}

.form .login-button:hover {
    transform: scale(1.03);
    box-shadow: rgba(133, 189, 215, 0.8784313725) 0px 23px 10px -20px;
}

.form .login-button:active {
    transform: scale(0.95);
    box-shadow: rgba(133, 189, 215, 0.8784313725) 0px 15px 10px -10px;
  }

  

  
  .message {
    color: var(--color-light-gray);
  position: absolute;
  top:50%;
  right: 5rem;
  padding: 1.1rem;
  text-transform: capitalize;
  opacity: 0;
  font-size: 1.3rem;
  z-index: 100000;
  border-radius: 10px;
  border: 3px solid rgba(226, 226, 226, 0.515);
  animation: message_anime  2.5s ease-in-out;
}
.message.success {
  background-color: rgba(13, 145, 13, 0.814);
  color: rgb(65, 240, 65);
}
.message.error{
  background-color: rgba(219, 32, 32, 0.814);
  color: rgb(148, 17, 17);
  animation: message_anime  4s ease-out;
}
  @keyframes message_anime {
    0% {
        top: 50%;
    }
  
    50% {
        top: 30%;
        opacity: 1;
    }
  
    80% {
        top: 30%;
        opacity: 1;
    }
  
    100% {
        top: 0%;
        display: none;
        opacity: 0;
    }
    
  }